const sass = require('node-sass');
const path = require('path');
const packageImporter = require('node-sass-package-importer');
const fs = require('fs');
const colors = require('colors');

let defaultOpts = {
  importer: packageImporter(),
  sourceMap: true,
  outputStyle: 'compressed'
}

let files = {
  'scss/dark/theme.scss': 'css/dark.css',
  'scss/light/theme.scss': 'css/light.css'
};

let writeFile = function(out, data) {
  fs.writeFile(out, data, function(err){
    if (err) {
      console.error(err);
    } else {
      console.log('Compiled '+out.green);
    }
  });
}

Object.entries(files).forEach(entry => {
  const input = entry[0];
  const output = path.join(__dirname, '../'+entry[1]);

  sass.render(Object.assign(defaultOpts, {
    file: input,
    outFile: output,
  }), function(err, result) {
    if (err) {
     console.error(err);
    } else {
      writeFile(output, result.css);
      writeFile(output.replace('.css', '.map'), result.map);
    }
  });
});
